=== debian/changelog ===
cosmic-workspaces (0.1.0) jammy; urgency=medium

  * Initial release.

 -- Ian Scott <idscott@system76.com>  Fri, 20 Jan 2023 15:21:34 -0800
