=== debian/control ===
Source: cosmic-workspaces
Section: admin
Priority: optional
Maintainer: System76 <info@system76.com>
Build-Depends:
  debhelper (>= 11),
  debhelper-compat (= 11),
  cargo,
  libegl1-mesa-dev,
  libgbm-dev,
  libinput-dev,
  libudev-dev,
  libxkbcommon-dev,
  libwayland-dev,
  pkg-config,
Standards-Version: 4.3.0
Homepage: https://github.com/pop-os/cosmic-workspaces-epoch

Package: cosmic-workspaces
Architecture: amd64 arm64
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Cosmic workspaces
